@ECHO OFF

REM **************************************************************************
REM Skrypt wyszukuje we wszystkich plikach katalogu podanego ciagu znakow
REM Gdy znajdzie, wstrzymuje wykonanie programu wyswietla liczbe wystapien
REM oraz nazwe pliku.
REM
REM       Skrypt ten pochodzi ze strony http://members.chello.pl/m.rataj
REM
REM **************************************************************************

BREAK ON
SETLOCAL
SET /P ciag="Podaj ciag, ktorego poszukujesz: "
ECHO Pracuje...
FOR /F "tokens=2,3" %%i IN ('FIND /C /I "%ciag%" *.*') DO IF "%%j" NEQ "0" ECHO %%i - %%j wystapien. && PAUSE
ECHO Koniec
PAUSE > NUL
ENDLOCAL